# binaryninja.enums.LinearDisassemblyLineType

class `binaryninja.enums.``LinearDisassemblyLineType`
  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  Attributes

  `BlankLineType` |
  `CodeDisassemblyLineType` |
  `DataVariableLineType` |
  `FunctionContinuationLineType` |
  `FunctionEndLineType` |
  `FunctionHeaderEndLineType` |
  `FunctionHeaderLineType` |
  `FunctionHeaderStartLineType` |
  `HexDumpLineType` |
  `LocalVariableLineType` |
  `LocalVariableListEndLineType` |
  `NonContiguousSeparatorLineType` |
  `NoteEndLineType` |
  `NoteLineType` |
  `NoteStartLineType` |
  `SectionEndLineType` |
  `SectionSeparatorLineType` |
  `SectionStartLineType` |